package com.lc.myapplication.security.mysoundstwo.room;

import androidx.room.Entity;
import androidx.room.Index;
import androidx.room.PrimaryKey;

import com.lc.myapplication.security.mysoundstwo.value.MyValue;

@Entity(tableName = MyValue.TABLE_NAME,indices = {@Index(value = "name",unique = true)})
public class ScaryPrankLikeEntity {
    @PrimaryKey(autoGenerate = true)
    private int id;
    private String name;
    private String image;
    private String mp3url;
    private String time;
    private Boolean soundslike;
    private int resource;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public void setSoundslike(Boolean soundslike) {
        this.soundslike = soundslike;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getMp3url() {
        return mp3url;
    }

    public void setMp3url(String mp3url) {
        this.mp3url = mp3url;
    }

    public Boolean getSoundslike() {
        return soundslike;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public int getResource() {
        return resource;
    }

    public void setResource(int resource) {
        this.resource = resource;
    }
}
